package com.tzld.piaoquan.ad.engine.service.score.convert;

import com.tzld.piaoquan.ad.engine.service.score.param.RecommendRequestParam;
import com.tzld.piaoquan.recommend.feature.domain.ad.base.AdRequestContext;
import com.tzld.piaoquan.ad.engine.commons.score.ScoreParam;
import com.tzld.piaoquan.ad.engine.service.score.param.RankRecommendRequestParam;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class RequestConvert {

    public static ScoreParam requestConvert(RecommendRequestParam request){
        AdRequestContext context=new AdRequestContext();
        context.setApptype(request.getAppType().toString());
        context.setMachineinfoBrand(request.getMachineInfo().getBrand());
        context.setMachineinfoModel(request.getMachineInfo().getModel());
        context.setMachineinfoSdkversion(request.getMachineInfo().getSdkVersion());
        context.setMachineinfoWchatversion(request.getMachineInfo().getWeChatVersion());
        LocalDateTime date=LocalDateTime.now();
        context.setHour(date.getHour()+"");
        context.setDay(date.format(DateTimeFormatter.ofPattern("yyyyMMdd")));
        context.setWeek(date.getDayOfWeek().getValue()+"");
        ScoreParam scoreParam=new ScoreParam();
        scoreParam.setRequestContext(context);
        return scoreParam;
    }

}
